%global packname  caTools

Name:             R-%{packname}
Version:          1.17.1
Release:          6%{dist}
Summary:          Tools: moving window statistics, gif, base64, roc auc...

Group:            Applications/Engineering
License:          GPLv3
URL:              http://cran.r-project.org/web/packages/caTools/index.html
Source0:          http://cran.at.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

Requires:         R-core >= 3.4.0 R-bitops
BuildRequires:    R-devel >= 3.4.0 tex(latex) R-bitops

%description
Contains several basic utility functions including: moving (rolling,
running) window statistic functions, read/write for GIF and ENVI binary
files, fast calculation of AUC, LogitBoost classifier, base64
encoder/decoder, round-off error free sum and cumsum, etc.

%prep
%setup -q -c -n %{packname}
chmod -x %{packname}/src/*

%build

%install
# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%doc %{_libdir}/R/library/caTools/DESCRIPTION
%doc %{_libdir}/R/library/caTools/html
%{_libdir}/R/library/caTools/R
%{_libdir}/R/library/caTools/libs
%{_libdir}/R/library/caTools/Meta
%{_libdir}/R/library/caTools/help
%{_libdir}/R/library/caTools/INDEX
%{_libdir}/R/library/caTools/NAMESPACE

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Tom Callaway <spot@fedoraproject.org> - 1.17.1-4
- rebuild for R 3.4.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 03 2015 pingou <pingou@pingoured.fr> 1.17.1-1
- Update to version 1.17.1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 19 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.17-2
- Rebuild to fix debuginfo (#1113404)

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.17-1
- Update to version 1.17

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 14 2013 pingou <pingou@pingoured.fr> 1.16-1
- Update to version 1.16

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.14-3
- rebuild for R3

* Thu Apr 04 2013 pingou <pingou@pingoured.fr> 1.14-2
- Fix dist tag

* Thu Apr 04 2013 pingou <pingou@pingoured.fr> 1.14-1
- Update to version 1.14

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.13-1
- Update to version 1.13

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.12-2
- rebuild for R 2.14.0

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.12-1
- Update to version 1.12

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.11-2
- Fix URL
- Fix source0 which fix the build...

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 1.11-1
- Update to version 1.11

* Sat Jun 12 2010 pingou <pingou@pingoured.fr> 1.10-3
- Take over package
- Deplace the chmod to prep

* Sat May 08 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-2
- fix buildrequires

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-1
- initial release

